?'''">
        <token type="LiteralString"/>
      </rule>
      <rule pattern="'">
        <token type="LiteralString"/>
        <push state="interp"/>
      </rule>
      <rule pattern="#[\w-]+\b">
        <token type="CommentPreproc"/>
      </rule>
      <rule pattern="[\w_]+(?=\()">
        <token type="NameFunction"/>
      </rule>
      <rule pattern="\b(metadata|targetScope|resource|module|param|var|output|for|in|if|existing|import|as|type|with|using|func|assert)\b">
        <token type="KeywordDeclaration"/>
      </rule>
      <rule pattern="\b(true|false|null)\b">
        <token type="KeywordConstant"/>
      </rule>
      <rule pattern="(&gt;=|&gt;|&lt;=|&lt;|==|!=|=~|!~|::|&amp;&amp;|\?\?|!|-|%|\*|\/|\+)">
        <token type="Operator"/>
      </rule>
      <rule pattern="(\(|\)|\[|\]|\.|:|\?|{|}|@|,|\||=&gt;|=)">
        <token type="Punctuation"/>
      </rule>
      <rule pattern="[\w_]+">
        <token type="NameVariable"/>
      </rule>
      <rule pattern="[0-9]+">
        <token type="LiteralNumberInteger"/>
      </rule>
    </state>
  </rules>
</lexer>